Bug 52195 - Install hangs after loading aic7xxx on SMP machine.
Install hangs after loading aic7xxx on SMP machine.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 12:37 EDT by Billy B. Snider
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Billy B. Snider 2001-08-21 12:37:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.7-rthal5 i686)

Description of problem:
On this same system I can install RH 6.2 and 7.0 the problem is only with
7.1.  I boot off of the RH7.1 cd.  Everything appears fine until loading
the aic7xxx module.  It flashes the loading message and then stops.  I am
staring at a blue screen (no windows pun intended).  I have tried every
boot option available. (i.e., lowres, text, expert, etc...).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from RedHat 7.1 cd (received in Device Driver training)
2.Type any option at "boot:" prompt (ie, expert, text, whatever).
3.
	

Actual Results:  System will freeze installation process after one flash of
aic7xxx message.

Expected Results:  I expected the same results I get from RH6.2 and RH7.0. 
The next phase should be the loading of anaconda and continuation of the
boot process.

Additional info:

Motherboard:  Supermicro 370DLE (Dual Pentium III)
512MB RAM

BIOS is up to date according to manufacturer's web site.
Suse 7.2 installs/runs without problems.
RH6.2 and 7.0 install/run without problems.
Comment 1 Brent Fox 2001-08-21 14:01:41 EDT
Changing component to the kernel.  

Have you taken a look at the 7.1 Gotcha's page?  It has some information related
to the aic7xxx driver.

http://www.redhat.com/support/docs/gotchas/7.1/gotchas-71.html
Comment 2 Billy B. Snider 2001-08-22 08:57:26 EDT
I have removed the 2960 scsi card and it still hangs in the exact same place. 
The only difference is I never see it try to load the aic7xxx scsi.

The gotch page for 7.1 does mention some problems with the aic7xxx install phase
but offers no work arounds, plue even removing the card offers no solution to
the problem.  

I can get 7.0 on the machine is there an "easy" way to do a massive RPM upgrade
to 7.1?
Comment 3 Arjan van de Ven 2001-08-22 09:05:10 EDT
so using "noprobe" and using the other aic7xxx didn't work ?
doing a mass RPM upgrade is doable, I'd recommend using the
rpmfind.net program for that.
Comment 4 Billy B. Snider 2001-08-22 09:30:52 EDT
The "noprobe" action has no effect on the problem other than I go directly to a
blue screen, no text or any other data.  Be advised that Suse 7.2 (Linux kernel
2.4.4) installs without problems.  Also I have removed the SCSI card from the
system and it still hangs at the exact install location.

At this time, if no other options open up soon, I will have to try to do an rpm
ugrade to 7.1 from 7.0.
Comment 5 Doug Ledford 2001-08-23 19:14:52 EDT
Since you pulled out the aic7xxx card and it still failed, that pretty much
rules out aic7xxx problems as the culprit.  You are getting a hard lock, and I
suspect it is the USB mouse/keyboard probe.  If you go into your machine's BIOS
and disable all USB devices does the install work then?
Comment 6 Billy B. Snider 2001-09-26 12:22:28 EDT
Ok, I disabled the USB function in the BIOS and still have the same problem. 
Why would this be different between 7.0 and 7.1.  Remember that 7.0 installs
just fine.
Comment 7 Need Real Name 2002-04-24 14:33:48 EDT
I am running a Tyan Tiger Dual Celeron 500 board with an Adaptec 2930.  I get 
the same problem, it locks up on the loading driver screen.

The only way I could get it to work is to pull out the Adaptec card. (No tape 
drive now!).
Comment 8 Bugzilla owner 2004-09-30 11:39:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.